.header {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  grid-area: header;
  padding: 20px;
}

.logo {
  width: 150px;
}

.logo a {
  width: 100%;
  text-decoration: none;
}

.logo img {
  width: inherit;
  max-width: 100%;
}

.search {
  width: 100%;
  max-width: 100%;
  margin-top: 20px;
}

.burgerMenu {
  margin-left: auto;
}

.menuIcon {

}

.menuIcon span {
  display: block;
  width: 30px;
  height: 2px;
  background-color: var(--color-white);
  transition: opacity 0s .3s, transform .3s ease-in-out;
}

.menuIcon span + span {
  margin-top: 8px;
}

.menuIcon:hover {
  cursor: pointer;
}

.menuIcon.isActive span:nth-child(2) {
  opacity: 0;
  transition: opacity 0s
}

.menuIcon.isActive span:nth-child(1) {
  transform: translateY(10px) rotate(45deg);
}

.menuIcon.isActive span:nth-child(3) {
  transform: translateY(-10px) rotate(-45deg);
}

@media (min-width: 768px) {
  .header {
    grid-area: header;
    flex-wrap: nowrap;
    padding: 38px 0;
  }

  .logo {
    width: 100%;
    max-width: 270px;
    margin-left: 20px;
  }

  .logo a {
    width: 215px;
  }

  .search {
    margin-top: 0;
    margin-left: 20px;
    max-width: 320px;
  }

  .burgerMenu {
    display: none;
  }
}

@media (min-width: 992px) {
  .logo {
    margin-left: 40px;
  }

  .search {
    margin-left: 50px;
  }
}